Subject: bug#13734: 24.3.50; ../src/lisp.h:2485:10: error: address expression must be an lvalue or a function designator

From: Eli Zaretskii <[email-masked]>
Date: Fri, 01 Mar 2013 22:27:38 +0200

> From: Peter Dyballa <[email-masked]>
> Date: Fri, 1 Mar 2013 21:06:30 +0100
> Cc: [email-masked], Andreas Schwab <[email-masked]>
> 
> The cause of the error in src/lisp.h seems to be related to the configure option --with-wide-int. When I am not using it, lwlib can be compiled, when I am using it, the reported error occurs.

Can you post a cpp-preprocessed code of that line in lisp.h, when
configured --with-wide-int, from the compilation of a C source which
triggers the error (lwlib.c, I think)?

(In case you didn't know, the easiest way of producing such
preprocessed code is to replace "-c" with "-E" in the compilation
command line, and change "-o lwlib.o" to "-o lwlib.ii" or some such,
to avoid overwriting the object file.)